export default ngModule => {
  ngModule.config(addWrappers);

  const template = `<formly-transclude></formly-transclude>
                    <ng-messages for="options.formControl.$error"
                                 class="formly-ionic-errors"
                                 ng-if="options.formControl.$touched && to.validation">
                      <div ng-if="::to.validation.templateUrl" ng-messages-include="{{ ::to.validation.templateUrl }}"></div>
                      <div ng-repeat="(name, message) in ::to.validation.messages"
                           ng-message-exp="name"
                           ng-if="::to.validation.messages">
                        <i class="ion-information-circled"></i>
                        {{::message}}
                      </div>
                    </ng-messages>`;

  function addWrappers(formlyConfigProvider) {
    formlyConfigProvider.setWrapper([
      {
        name: 'validationMessages',
        template
      }
    ]);
  }
};
